Subject: Re: bug#75170: add-to-alist: new function

From: Michael Heerdegen <[email-masked]>
Date: Mon, 20 Jan 2025 02:06:44 +0100

Roland Winkler <[email-masked]> writes:

> Actually, I just read the docstring from alist-get a couple of times.
> And the meaning of the optional arg REMOVE is not clear to me: what is
> the "new value" of an association if the key is removed from the
> alist?

"new value" refers to the second argument of your `setf' call.  The
association is removed if you set the associated value to the default
value (nil most of the time) and if REMOVE had been specified.

Michael.